The wikis are now using the new authentication system.
If you did not migrate your account yet, visit https://idp-portal-info.suse.com/

Yazıcı satın alma rehberi

Şuraya atla: kullan, ara


Yazıcı satın alırken

Ban sık sorulan sorulardan birisi Linux için hangi yazıcıyı almalıyım sorusudur.

Bir yazıcının desteklenip desteklenmediğini öğrenmek için ilk kaynağınız yazıcı veritabanınına [www.linuxprinting.org] bakmaktır. Ancak üreticisini ve modelini kesin doğrulukta bilmeniz gereklidir. "Kyocera Mita"/"FS-820" ile "Kyocera Mita"/"F-820" aynı yazıcı olmadığını gözden kaçırmayın.

PostScript yazıcılar

En az sorun ile karşılacağınız yazıcılar PostScript yazıdcılardır. Dolayısıylada ilk önerim bir PostScript desteği sunan yazıcı almanız olacaktır.

Gerçek PostScript yazıcılar ve PostScript gibiler

İki tür PostScript yazıcı olduğu için burada yanılgıya düşmeniz söz konusu: Üzerinde PostScript ticari markasına sahip olanlar ve PostScript emülasyonu yapanlar. Problemin kaynağı fiyat: PostScript markasını almak pahalıdır. Yazıcı fiyatıda marka tescilinin alın ması durumunda büyük miktarda artmakla birlikte PostScript fontları ile size gelmektedir (Bu iyi haber :-) ).

Elinizde yazıcınız için PPD dosyasının (PostScript Printer Description) olduğundan emin olun. Bundan sonra yazıcınızı yazıcı sisteminize eklemek ve tüm güzel özelliklerini kullanmaya başlayabilirsiniz: srkalı önlü baskı, farklı çöznürlük kullanma vb.

PostScript sürümü

Eski PostScript yazıcılar (sözü açılmışken PostScript level 2 ve daha düşük olanlar), çoklu-bit/multi-byte karakterleri basamamaktadır. Bu karakterler bazı az bilenen işaretleri basmak için gereklidir, örneğin Asya dil ailesindekiler gibi. Bildiğim kadarı ile bu kadakterlerin basılması geriye doğru uyumlu olmayan sürücüler nedeni ile basılamamaktadır. Sonuç: Eğer elinizde PostScript level 2 bir yazıcı varsa, verinin dönüştürülmesi gerekeceği için bazı özelliklerini örneğin arkalı-önlü basım gibi kullanmak söz konusu olmayacaktır.

PostScript olmayan yazıcılar

Postscript olmayan yazıcılar genellikle inkjet yazıcılardır.

HP Inkjet Projesi

Hewlett-Packard (HP) yazıcıları kullanmanızı öneriyoruz. Bunlar, açık kaynak kodlu Linuxu sürücü destekli yazıcılardır ve sürücüleri HP tarafından geliştirilmektedir. Güncel sürücüleri [HP Linux Printing Project] sitesinden edinebilirsiniz. SUSE Linux'a daima en güncel sürücüleri eklemeye gayret ediyoruz, ama bazen biraz geri kalabiliyoruz, zira bir dağıtım hazırlamak çok zaman alıyor.

Fiyatlar

HP yazıcıların diğerleriene göre biraz daha pahalı olduğu doğrudur. Öte yandan HP yazıcılar ile iyi baskılar alırken diğerler yazıcılar ile bir çok sorunla karşı karşıya kalabilirsiniz. Yazıcıl<r HP trafından desteklenmektedir. Eğer süreçte bir değişim olursa HP bunu Linux kullanıcılarına yeni sürümü sağlamakta ve kullanıcılara yardımcı olmaktadır.

Eğer bir yazıcı alacaksanız, toplam sahip olma maliyetini de dikkate almanız gerekecektir: Bu maliyet, kartuş (mürekkep), tambur setini, yeni kartuş alımını vb kapsamaktadır. Bu maliyetleri de dikkate alırsanız HP diğer üreticiler ile kolaylıkla kıyaslanabileceğini göreceksiniz.

Ben HP Business Inkjet yazıcılarını öneriyorum. Daha pahalı oldukları kesin, ancak satın aldığınız donanımı ikinci kartuş değişiminde yenilemek durumunda kalmazsınız :-)

Kapalı kodlu Linux sürücüleri

Bugün için diğer şirketler açık kaynak kodlu sürücü desteği sunmamaktadır. Bazıları Linux sürücüleri sunmakla birlikte bu sürücüler de kapalı kodludur. Genellikle de bu sürücüler güncel çekirdek sürümleri ile uyumlu olmamakta ve bunları uyarlayıp çalışaır duruma getirmekte ciddi sorunlar yaşamaktayız :-( AMD64 platformunun hem 32 bit hem de 64 bit uygulamaları desteklediği için SUSE Linux sistemimizi her iki sistemi destekleyecek biçimde geliştiriyoruz. Kapalı kodlu sürücüleri üreten donanım üreticileri ise bu durumun farkına çok geç vardıkları, sorunlar olabileceğini anlayamdıkları için, kullanıcılar bu donanımlar ile çalışırken sorunlar ortaya çıkmaktadır.

Kapalı kodlu sürücülerin bir diğer sorunu da güvenlik açıklarıdır. Bu durumda üreticinin sorunu fark edip yama geliştirmesini, denemesini ve sonra da duyurup dağıtmasını beklemek durumunda kalmaktayız. Bu ssürücüleri SUSE Linux güncelleme aracı ile kurmanız söz konusu olmadığı için sürücülerin yeni sürümlerini indirip yeniden kurmak durumunda kalacaksınız demektir.

Bunlardan bazıları: Brother, Epson.

Windows / GDI yazıcılar

Bunları denemeyin bile! Bu yazıcıları linux ile kullanmabilme olasılığınız son derece zayıftır. Artık üretimeyen bazı yazıcı modelleri için "filtreler" çıkarılsa da (Lexmark Z11 gibi), bugün piyasada satılan modeller ile bunlar uyumlu değildir.

Geçmişte sık sık olduğu gibi açık kaynak kod/özgür yazılım toplulukları, bu yazıcılara destek sağladılar.Ancak bir kaç hafta sonra üreticiler yeni ve farklı protokolleri kullanan ve yeni Linux sürücülerine gereksinim duyan bir yazıcı piyasaya sürüp tüm çabaların boşa gitmesine neden oldular. Dolayısıyla, bugün için bir GDI yazıcının Linux sürücüleri bulunsa bile yarın bunların işe yarayacağı şüphelidir.

Örnek: Lexmark.

Özet

Özet: PostScript level 3 desteği sunan bir PostScript(TM) yazıcı satın alın. Eğer bir HP inkjet yazıcı -Buisness Inkjet vb- alamıyorsanız diğer modeller de işinizi görecektir.


Klaus Singvogel, Kssingvo, 16:08, 30 Kasım 2005 (CET)